    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2008, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -------------------------
    028     * ContourPlotUtilities.java
    029     * -------------------------
    030     * (C) Copyright 2002-2008, by David M. O'Donnell and Contributors.
    031     *
    032     * Original Author:  David M. O'Donnell;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * Changes
    036     * -------
    037     * 26-Nov-2002 : Version 1 contributed by David M. O'Donnell (DG);
    038     * 22-Jul-2003 : Made this class abstract as there is no need to instantiate
    039     *               it (DG);
    040     * ------------- JFREECHART 1.0.x ---------------------------------------------
    041     * 31-Jan-2007 : Deprecated (DG);
    042     *
    043     */
    044
    045    package org.jfree.chart.plot;
    046
    047    import org.jfree.chart.renderer.xy.XYBlockRenderer;
    048    import org.jfree.data.Range;
    049    import org.jfree.data.contour.ContourDataset;
    050    import org.jfree.data.contour.DefaultContourDataset;
    051
    052    /**
    053     * Some utility methods for the {@link ContourPlot} class.
    054     *
    055     * @deprecated This class is no longer supported (as of version 1.0.4).  If
    056     *     you are creating contour plots, please try to use {@link XYPlot} and
    057     *     {@link XYBlockRenderer}.
    058     */
    059    public abstract class ContourPlotUtilities {
    060
    061        /**
    062         * Returns the visible z-range.
    063         *
    064         * @param data  the dataset.
    065         * @param x  the x range.
    066         * @param y  the y range.
    067         *
    068         * @return The range.
    069         */
    070        public static Range visibleRange(ContourDataset data, Range x, Range y) {
    071            Range range = null;
    072            range = ((DefaultContourDataset) data).getZValueRange(x, y);
    073            return range;
    074        }
    075
    076    }